if [ ! -d "./logs" ]; then
    mkdir ./logs
fi

model_name=MixLinear

root_path_name=./dataset/
data_path_name=ETTh1.csv
model_id_name=ETTh1
data_name=ETTh1
alpha=0.5
seq_len=720
batch_size=256
gpu_id=0

for batch_size in  256 
do
for alpha in 0 0.1 0.3 0.5 0.7 0.9 1
do
for pred_len in 96 192 336 720
do
  gpu_id=$(((gpu_id+1)%4))
  python3 -u run_longExp.py \
    --is_training 1 \
    --root_path $root_path_name \
    --data_path $data_path_name \
    --model_id $model_id_name'_'$seq_len'_'$pred_len \
    --model $model_name \
    --data $data_name \
    --features M \
    --seq_len $seq_len \
    --pred_len $pred_len \
    --period_len 24 \
    --enc_in 7 \
    --train_epochs 30 \
    --patience 5 \
    --alpha $alpha \
    --gpu $gpu_id \
    --itr 1 --batch_size $batch_size --learning_rate 0.02 > logs/${model_name}_${data_name}_${pred_len}_${batch_size}_${alpha}.log  &
done
done
done

