if [ ! -d "./logs" ]; then
    mkdir ./logs
fi

#model_name=MixLinear
model_name=SparseTSF

root_path_name=./dataset/
data_path_name=traffic.csv
model_id_name=traffic
data_name=custom
alpha=0.5
gpu_id=0
#for alpha in 0.1 0.5 0.9
# do

batch_size=128
seq_len=720
for pred_len in 96 192 336 720
#for pred_len in 720
do
  gpu_id=$(((gpu_id+1)%4))

  python3 -u run_longExp.py \
    --is_training 1 \
    --root_path $root_path_name \
    --data_path $data_path_name \
    --model_id $model_id_name'_'$seq_len'_'$pred_len \
    --model $model_name \
    --data $data_name \
    --features M \
    --seq_len $seq_len \
    --pred_len $pred_len \
    --period_len 24 \
    --enc_in 862 \
    --train_epochs 30 \
    --patience 5 \
    --alpha $alpha \
    --gpu $gpu_id \
    --itr 1 --batch_size $batch_size --learning_rate 0.03 > logs/${model_name}_${model_id_name}_${pred_len}_${batch_size}_${alpha}_1.log &
done

#done
